LibreOffice: Texture Struct Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
Texture Struct Reference

Contains all information needed to define a texture. More...

## Public Attributes
::com::sun::star::geometry::AffineMatrix2D | AffineTransform
| Texture transformation from texture to primitive space.
double | Alpha
| Overall transparency of the texturing.
long | NumberOfHatchPolygons
| Specifies the number of parameterized polygons used for the texture.
XBitmap | Bitmap
| Texture bitmap.
XParametricPolyPolygon2D | Gradient
| Texture gradient.
XParametricPolyPolygon2D | Hatching
| Texture hatching.
StrokeAttributes | HatchAttributes
| Specifies the stroke attributes used for hatching.
byte | RepeatModeX
| Repeat mode of the texture, x direction.
byte | RepeatModeY
| Repeat mode of the texture, y direction.

## Detailed Description

Contains all information needed to define a texture.

This structure contains all information necessary to define a texture. A texture describes the filled area of polygonal shapes, providing its own transformation matrix, repeat mode, and transparency.

To achieve uniformity, if this texture has a bitmap set, it is scaled in such a way that it will cover the same [0,1]x[0,1] box as the hatch and the gradient. The transformation member can then be used to scale the complete texture as it fits suit.

Since
  OOo 2.0

## Member Data Documentation

## ◆ AffineTransform

::com::sun::star::geometry::AffineMatrix2D AffineTransform

Texture transformation from texture to primitive space.

This member allows arbitrary transformations of the texture, relative to the textured primitive. Thus, the total transformation from the [0,1]x[0,1] texture space to the device coordinate space is the concatenation of texture, render state, and view state transformation (with only render state and view state transformation being applied to the textured primitive).

## ◆ Alpha

double Alpha

Overall transparency of the texturing.

The valid range for this value is [0,1], where 0 denotes complete transparency, and 1 denotes fully opaque.

## ◆ Bitmap

XBitmap Bitmap

Texture bitmap.

This member can be used together with gradient and hatching.

The bitmap is scaled to a one-by-one rectangle, to cover the same area as both the gradient and the hatching.

## ◆ Gradient

XParametricPolyPolygon2D Gradient

Texture gradient.

This member can be used together with bitmap and hatching. The parametric polygons color value is used to fill the returned polygonal outlines.

## ◆ HatchAttributes

StrokeAttributes HatchAttributes

Specifies the stroke attributes used for hatching.

Use 0.0 as the strokeWidth here to indicate hair lines.

## ◆ Hatching

XParametricPolyPolygon2D Hatching

Texture hatching.

This member can be used together with bitmap and gradient. The parametric polygons color value is used to stroke the returned polygonal outlines.

## ◆ NumberOfHatchPolygons

long NumberOfHatchPolygons

Specifies the number of parameterized polygons used for the texture.

This member specifies the number of polygons the parametric polygon interface is queried. The continuous range [0,1] of the XParametricPolyPolygon::getOutline() method is divided up into numberOfHatchPolygons equal parts, and for everyone of these parts, the start of the interval is plugged into the getOutline method. For example, if numberOfHatchPolygons is 2, then getOutline is called twice, once with 0.0 and once with 0.5. Use this parameter to control the density of the hatching.

## ◆ RepeatModeX

byte RepeatModeX

Repeat mode of the texture, x direction.

The repeat mode is separated into x and y direction, this is the x direction part. Permissible values are from the TexturingMode constants.

## ◆ RepeatModeY

byte RepeatModeY

Repeat mode of the texture, y direction.

The repeat mode is separated into x and y direction, this is the y direction part. Permissible values are from the TexturingMode constants.

The documentation for this struct was generated from the following file:

- com/sun/star/rendering/Texture.idl